import os
from setuptools import setup
version = '0.8'

ver_file = open( os.path.join( os.curdir, 'version.txt' ), "w" )
ver_file.write( version )
ver_file.close()

setup(name='PControl',
      version=version,
      description='Panel arena controller GUI',
      author='Dickinson lab at Caltech',
      author_email='jbender@caltech.edu',
      packages = ['PControl'],
      package_dir = {'PControl':'PControl'},
      package_data = {'PControl':['panel_control.xrc']},
      entry_points = {'gui_scripts': ['PControl=PControl:main']},
      install_requires={'PControl': ['setuptools>=0.6']
##                                       'wx>=2.6.3.2',
##                                       'numpy>=1.0',
##                                       'serial']
                        }
      )
